Index: src/UIElements/Qt4/QtDialog.cpp
===================================================================
--- src/UIElements/Qt4/QtDialog.cpp	(revision f0cf79849c9d80e77e36a5b95dbd51578f8b1ab3)
+++ src/UIElements/Qt4/QtDialog.cpp	(revision 3a4be0dfdbe8f8c566c8fc42b0e9a6c0a2bf76b6)
@@ -197,9 +197,4 @@
 }
 
-void QtDialog::queryRandomNumberDistribution_Parameters(Parameter<RandomNumberDistribution_Parameters> &param, const std::string title, const std::string description)
-{
-  registerQuery(new RandomNumberDistribution_ParametersQtQuery(param,title,description,inputLayout,this));
-}
-
 /************************** Query Infrastructure ************************/
 /*       ---> shifted to folder Query                                   */
Index: src/UIElements/Qt4/QtDialog.hpp
===================================================================
--- src/UIElements/Qt4/QtDialog.hpp	(revision f0cf79849c9d80e77e36a5b95dbd51578f8b1ab3)
+++ src/UIElements/Qt4/QtDialog.hpp	(revision 3a4be0dfdbe8f8c566c8fc42b0e9a6c0a2bf76b6)
@@ -55,5 +55,4 @@
   virtual void queryFile(Parameter<boost::filesystem::path> &, const std::string ="", const std::string = "");
   virtual void queryFiles(Parameter<std::vector< boost::filesystem::path> > &, const std::string ="", const std::string = "");
-  virtual void queryRandomNumberDistribution_Parameters(Parameter<RandomNumberDistribution_Parameters> &, const std::string ="", const std::string = "");
 
   virtual bool display();
@@ -83,5 +82,4 @@
   class VectorQtQuery;
   class VectorsQtQuery;
-  class RandomNumberDistribution_ParametersQtQuery;
 
 private:
Index: src/UIElements/Qt4/Query/QtQuery.hpp
===================================================================
--- src/UIElements/Qt4/Query/QtQuery.hpp	(revision f0cf79849c9d80e77e36a5b95dbd51578f8b1ab3)
+++ src/UIElements/Qt4/Query/QtQuery.hpp	(revision 3a4be0dfdbe8f8c566c8fc42b0e9a6c0a2bf76b6)
@@ -411,21 +411,3 @@
 };
 
-class QtDialog::RandomNumberDistribution_ParametersQtQuery : public QWidget, public QtQuery<RandomNumberDistribution_Parameters> {
-  Q_OBJECT
-public:
-  RandomNumberDistribution_ParametersQtQuery(Parameter<RandomNumberDistribution_Parameters> &, const std::string &_title, const std::string &_description,QBoxLayout *,Dialog *);
-  virtual ~RandomNumberDistribution_ParametersQtQuery();
-
-public slots:
-  void onUpdate();
-
-private:
-  QBoxLayout *parent;
-  QHBoxLayout *thisLayout;
-  QLabel *titleLabel;
-  QTextEdit *inputBox;
-  QPushButton *okButton;
-  Dialog *dialog;
-};
-
 #endif /* QTQUERY_HPP_ */
Index: src/UIElements/Qt4/Query/QtQueryList.hpp
===================================================================
--- src/UIElements/Qt4/Query/QtQueryList.hpp	(revision f0cf79849c9d80e77e36a5b95dbd51578f8b1ab3)
+++ src/UIElements/Qt4/Query/QtQueryList.hpp	(revision 3a4be0dfdbe8f8c566c8fc42b0e9a6c0a2bf76b6)
@@ -142,5 +142,4 @@
   virtual void queryFile(Parameter<boost::filesystem::path> &, const std::string = "", const std::string = ""){}
   virtual void queryFiles(Parameter<std::vector< boost::filesystem::path> > &, const std::string = "", const std::string = ""){}
-  virtual void queryRandomNumberDistribution_Parameters(Parameter<RandomNumberDistribution_Parameters> &, const std::string = "", const std::string = ""){}
 private:
   QtQueryListUntyped *parent;
Index: src/UIElements/Qt4/Query/RandomNumberDistribution_ParametersQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/RandomNumberDistribution_ParametersQtQuery.cpp	(revision f0cf79849c9d80e77e36a5b95dbd51578f8b1ab3)
+++ 	(revision )
@@ -1,83 +1,0 @@
-/*
- * Project: MoleCuilder
- * Description: creates and alters molecular systems
- * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
- * 
- *
- *   This file is part of MoleCuilder.
- *
- *    MoleCuilder is free software: you can redistribute it and/or modify
- *    it under the terms of the GNU General Public License as published by
- *    the Free Software Foundation, either version 2 of the License, or
- *    (at your option) any later version.
- *
- *    MoleCuilder is distributed in the hope that it will be useful,
- *    but WITHOUT ANY WARRANTY; without even the implied warranty of
- *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *    GNU General Public License for more details.
- *
- *    You should have received a copy of the GNU General Public License
- *    along with MoleCuilder.  If not, see <http://www.gnu.org/licenses/>.
- */
-
-/*
- * RandomNumberDistribution_ParametersQtQuery.cpp
- *
- *  Created on: Jan 06, 2011
- *      Author: heber
- */
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include <Qt/qboxlayout.h>
-#include <Qt/qpushbutton.h>
-#include <Qt/qtextedit.h>
-#include <Qt/qlabel.h>
-
-#include "CodePatterns/MemDebug.hpp"
-
-#include "UIElements/Qt4/Query/QtQuery.hpp"
-
-#include "Atom/atom.hpp"
-#include "World.hpp"
-
-QtDialog::RandomNumberDistribution_ParametersQtQuery::RandomNumberDistribution_ParametersQtQuery(Parameter<RandomNumberDistribution_Parameters> &_param, const std::string &_title, const std::string &_description,QBoxLayout *_parent,Dialog *_dialog) :
-    QtQuery<RandomNumberDistribution_Parameters>(_param, _title, _description),
-    parent(_parent),
-    dialog(_dialog)
-{
-  thisLayout = new QHBoxLayout();
-  titleLabel = new QLabel(QString(getTitle().c_str()));
-  titleLabel->setToolTip(QString(getDescription().c_str()));
-
-//  inputBox->insertItem(-1, QString("no distribution"));
-//  for (std::vector<distribution *>::const_iterator iter = distribution(); iter != distribution.end(); ++iter)
-//    inputBox->insertItem((*iter)->getNr(),QString::fromStdString((*iter)->getName()));
-
-  inputBox = new QTextEdit();
-
-  parent->addLayout(thisLayout);
-  thisLayout->addWidget(titleLabel);
-  thisLayout->addWidget(inputBox);
-
-  okButton = new QPushButton(tr("Ok"));
-
-  connect(okButton,SIGNAL(clicked()),this,SLOT(onUpdate()));
-}
-
-QtDialog::RandomNumberDistribution_ParametersQtQuery::~RandomNumberDistribution_ParametersQtQuery()
-{
-}
-
-void QtDialog::RandomNumberDistribution_ParametersQtQuery::onUpdate() {
-  QString data = inputBox->toPlainText();
-  std::stringstream text(data.toStdString());
-  // TODO: check error
-  //text >> temp;
-  dialog->update();
-}
-
-
